WordPress.org

Support

Support » How-To and Troubleshooting » [Resolved] Upgrade to 3.5

[Resolved] Upgrade to 3.5

  • kellydigital
    Member

    @kellydigital

    after upgrading to 3.5 my clients site no longer works – and I can’t log into wp-admin either .

    I get the following error: Warning: Missing argument 2 for wpdb::prepare(),

    can anyone help?

    Thanks

Viewing 2 replies - 1 through 2 (of 2 total)
  • WPyogi
    Forum Moderator

    @wpyogi

    Fortunately, that’s a known and fixable problem :). See the last post in this thread:

    http://wordpress.org/support/topic/troubleshooting-wordpress-35-master-list?replies=4

    kellydigital
    Member

    @kellydigital

    Thanks for pointing me in the right direction!

    i’m using the Revelation theme…and I also had to make the following changes to make it work again:

    For anyone receiving the wpdb::prepare() error, add this content to your wp-config.php file at the very bottom:
    ini_set( ‘display_errors’, false ); error_reporting( 0 );

    Then, replace line 51 in /lib/theme-sidebars.php with this:
    $widgetized_pages = $wpdb->get_col(“SELECT DISTINCT meta_value FROM $wpdb->postmeta WHERE meta_key = ‘jw_sidebar'”);

    That fixed the error messages for me and allowed me to access both the website and the admin area.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] Upgrade to 3.5’ is closed to new replies.